summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-05-29 22:53:21 +0300
committerNick White <git@njw.me.uk>2009-06-01 01:12:25 +0100
commitf28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5 (patch)
tree795eecfb57caea6956d5502267c981ec48c6f109
parent832a15af708e40f9d2e727bea3c79051c5301fdc (diff)
downloadgemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.tar.bz2
gemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.zip
icewind dale install and patch scripts and changes to main scripts to support them
-rwxr-xr-xauto-installer.sh8
-rw-r--r--includes/autoinstall-includes.sh6
-rw-r--r--includes/cd-includes.sh1
-rwxr-xr-xiwd/install-2cd-uk-extra.sh26
-rwxr-xr-xiwd/install-2cd-uk-minimal.sh43
-rwxr-xr-xiwd/install-patch-uk-fix.sh43
-rwxr-xr-xiwd/install-patch-us.sh43
7 files changed, 170 insertions, 0 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 1101e7a..6455020 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -97,6 +97,14 @@ while [ -z "$MINSCRIPT" ]; do
WINDOWSFILES="torment.exe ereg"
CDNO=4
;;
+ $IWD_2CD_UK_MD5 )
+ FULLGAMENAME="Icewind Dale 2CD UK version"
+ SHORTGAMENAME="icewinddale"
+ MINSCRIPT=iwd/install-2cd-uk-minimal.sh
+ EXTRASCRIPT=iwd/install-2cd-uk-extra.sh
+ PATCHES="iwd/install-patch-uk-fix.sh iwd/install-patch-us.sh"
+ WINDOWSFILES="3dfx.dll config.exe icewind.ini keymap.ini language.ini mpicewnd.mpi"
+ CDNO=2
* )
echo "Unrecognised CD - please select game from menu"
choosegame
diff --git a/includes/autoinstall-includes.sh b/includes/autoinstall-includes.sh
index 76e8638..8f80036 100644
--- a/includes/autoinstall-includes.sh
+++ b/includes/autoinstall-includes.sh
@@ -48,6 +48,8 @@ function choosegame
echo "3 | Tales of the Sword Coast (1CD UK version)"
echo "4 | Planescape: Torment (4CD version)"
echo "5 | Planescape: Torment (2CD version)"
+ echo "6 | Icewind Dale (2CD UK version)"
+ echo "7 | Icewind Dale 2 (2CD version)"
read -n 1 choice
echo
@@ -63,6 +65,10 @@ function choosegame
return 0 ;;
5 ) export CDMD5="640b61443cc86c434f1b6826e63c0e33"
return 0 ;;
+ 6 ) export CDMD5="b79582f4f80270d48e6b26f529ba31dd"
+ return 0 ;;
+ 7 ) export CDMD5="77307366ba3e8a246f6f238cbb3b7874"
+ return 0 ;;
esac
done
}
diff --git a/includes/cd-includes.sh b/includes/cd-includes.sh
index dfb0e68..3ef9670 100644
--- a/includes/cd-includes.sh
+++ b/includes/cd-includes.sh
@@ -29,6 +29,7 @@ export PST_2CD_MD5="640b61443cc86c434f1b6826e63c0e33"
export PST_4CD_MD5="5e8c2075163aca124de4a467fb33063d"
export IWD_2CD_US_MD5="b79582f4f80270d48e6b26f529ba31dd"
+export IWD_2CD_UK_MD5="b79582f4f80270d48e6b26f529ba31dd"
export IWD_HOW_1CD_US_MD5="d2c42de47026f6384053965319ff511b"
export IWD2_2CD_US_MD5="77307366ba3e8a246f6f238cbb3b7874"
diff --git a/iwd/install-2cd-uk-extra.sh b/iwd/install-2cd-uk-extra.sh
new file mode 100755
index 0000000..cb8fda3
--- /dev/null
+++ b/iwd/install-2cd-uk-extra.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale (2CD UK version) extra content
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+CD2_MD5=""
+
diff --git a/iwd/install-2cd-uk-minimal.sh b/iwd/install-2cd-uk-minimal.sh
new file mode 100755
index 0000000..5438e3b
--- /dev/null
+++ b/iwd/install-2cd-uk-minimal.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale (2CD UK version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD_2CD_UK_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/minimum_compressed/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimum_compressed || die
+rm -r "$TARGETDIR"/register || die
+
+cp -R "$TARGETDIR"/recommended_compressed/data/* "$TARGETDIR"/data || die
+rm -r "$TARGETDIR"/recommended_compressed || die
+
+copylower $CDMOUNT/Data "$TARGETDIR"/data || die
+copylower $CDMOUNT/ICEWIND.ICO "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/iwd/install-patch-uk-fix.sh b/iwd/install-patch-uk-fix.sh
new file mode 100755
index 0000000..024adbb
--- /dev/null
+++ b/iwd/install-patch-uk-fix.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale UK version patch - Lower Dorns entrance fix
+#
+# info : released for UK version due to a CD duplication error causing
+# Icewind Dale to crash at Lower Dorn's entrance
+# size : 6.0MB
+# date : 9/27/00
+
+patch_url="http://www.sorcerers.net/Games2/IWD/iwdukpatch.exe"
+patch_name="iwdukpatch.exe"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s $TMPDIR/$patch_name -d $TMPDIR || diesoftly
+cp -R $TMPDIR/override/* "$TARGETDIR"/override || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/iwd/install-patch-us.sh b/iwd/install-patch-us.sh
new file mode 100755
index 0000000..f17c429
--- /dev/null
+++ b/iwd/install-patch-us.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale US/UK version patch v1.06
+#
+# info : http://www.planetbaldursgate.com/iwd/media/files/patches/iwdreadme106.txt
+# size : 3.2 MB
+# date : 7/30/00
+
+patch_url="http://www.sorcerers.net/Games2/IWD/iwdpatch106.exe"
+patch_name="iwdpatch106.exe"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s $TMPDIR/$patch_name -d $TMPDIR || diesoftly
+cp -R $TMPDIR/override/* "$TARGETDIR"/override || diesoftly
+cp -R $TMPDIR/scripts/* "$TARGETDIR"/scripts || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"